ikea = {}
ikea.mapgen_options = {departments = {}, min_size = 5, max_size = 8}
ikea.registered_tod = {}

ikea.opening_time = 7
ikea.closing_time = 23

local apipath = minetest.get_modpath("ikea") .. "/api"
dofile(apipath .. "/defaults.lua")
dofile(apipath .. "/register.lua")

function ikea.is_open()
	local tod = minetest.get_timeofday()
	return tod >= (ikea.opening_time / 24) and tod <= (ikea.closing_time / 24)
end
